Bug 46755 - CRITICAL REGRESSION: databases/db4 update breaks many ports
CRITICAL REGRESSION: databases/db4 update breaks many ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: petef
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-04 14:40 UTC by matthias.andree
Modified: 2003-01-07 01:06 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2003-01-04 14:40:00 UTC
Recently, the databases/db4 port was senselessly updated from 4.0.14 to 4.1.25.
SleepyCat changed some APIs (function arguments) from 4.0 to 4.1, but not all
applications are ready to deal with bdb-4.1.

Trying to build cfengine2 for instance fails since the db4 update:

make  all-am
source='misc.c' object='misc.o' libtool=no  depfile='.deps/misc.Po' tmpdepfile='.deps/misc.TPo'  depmode=gcc /bin/sh ../depcomp  cc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/local/include/db4 -I/usr/include     -g -O2 -Wreturn-type -Wmissing-prototypes -Wuninitialized -O -pipe -march=i486 -DNO_IDEA -I/usr/local/include/db4 -pthread -D_THREAD_SAFE -DBUILDTIN_GCC_THREAD -c `test -f misc.c || echo './'`misc.c
In file included from cf.defs.h:153,
                 from misc.c:33:
/usr/include/malloc.h:2: warning: #warning "this file includes <malloc.h> which is deprecated, use <stdlib.h> instead"
misc.c: In function `ChecksumChanged':
misc.c:273: warning: passing arg 2 of pointer to function from incompatible pointer type
misc.c:273: warning: passing arg 4 of pointer to function makes pointer from integer without a cast
misc.c:273: too few arguments to function
*** Error code 1

Fix: 

1. please revert the change, and fix the broken compat285 argument to 185.
2. please move db 4.1 to a new port.
Comment 1 osa 2003-01-04 15:15:46 UTC
On Sat, Jan 04, 2003 at 03:33:03PM +0100, Matthias Andree wrote:
> 
> >Number:         46755
> >Category:       ports
> >Synopsis:       CRITICAL REGRESSION: databases/db4 update breaks many ports
> >Confidential:   no
> >Severity:       critical
> >Priority:       high
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Jan 04 06:40:00 PST 2003
> >Closed-Date:
> >Last-Modified:
> >Originator:     Matthias Andree
> >Release:        FreeBSD 4.7-STABLE i386
> >Organization:
> >Environment:
> System: FreeBSD libertas.emma.line.org 4.7-STABLE FreeBSD 4.7-STABLE #10: Fri Jan 3 22:37:33 CET 2003 root@libertas.emma.line.org:/usr/src/sys/compile/LIBERTAS i386
> 
> 
> 	
> >Description:
> Recently, the databases/db4 port was senselessly updated from 4.0.14 to 4.1.25.
> SleepyCat changed some APIs (function arguments) from 4.0 to 4.1, but not all
> applications are ready to deal with bdb-4.1.
> 
> Trying to build cfengine2 for instance fails since the db4 update:
> 
> make  all-am
> source='misc.c' object='misc.o' libtool=no  depfile='.deps/misc.Po' tmpdepfile='.deps/misc.TPo'  depmode=gcc /bin/sh ../depcomp  cc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/local/include/db4 -I/usr/include     -g -O2 -Wreturn-type -Wmissing-prototypes -Wuninitialized -O -pipe -march=i486 -DNO_IDEA -I/usr/local/include/db4 -pthread -D_THREAD_SAFE -DBUILDTIN_GCC_THREAD -c `test -f misc.c || echo './'`misc.c
> In file included from cf.defs.h:153,
>                  from misc.c:33:
> /usr/include/malloc.h:2: warning: #warning "this file includes <malloc.h> which is deprecated, use <stdlib.h> instead"
> misc.c: In function `ChecksumChanged':
> misc.c:273: warning: passing arg 2 of pointer to function from incompatible pointer type
> misc.c:273: warning: passing arg 4 of pointer to function makes pointer from integer without a cast
> misc.c:273: too few arguments to function
> *** Error code 1
> 
> 	
> >How-To-Repeat:
> 	
> >Fix:
> 1. please revert the change, and fix the broken compat285 argument to 185.
> 2. please move db 4.1 to a new port.

Yes, i'm vote for this proposal!
We must make a databases/db41 port (like db3 and db33).

Thanks.

-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 2 matthias.andree 2003-01-04 17:40:58 UTC
This patch should fix db4 and install the db4_dump185 utility:

diff -Nur --exclude CVS /usr/ports/databases/db4/Makefile /root/db4/Makefile
--- /usr/ports/databases/db4/Makefile	Sat Jan  4 14:24:35 2003
+++ /root/db4/Makefile	Sat Jan  4 18:14:57 2003
@@ -2,16 +2,16 @@
 # Date created:				16 August 2000
 # Whom:					Sergey Osokin aka oZZ <ozz@FreeBSD.org.ru>
 #
-# $FreeBSD: ports/databases/db4/Makefile,v 1.47 2003/01/03 20:19:07 ijliao Exp $
+# $FreeBSD: ports/databases/db4/Makefile,v 1.46 2002/11/20 13:13:48 ijliao Exp $
 #
 
 PORTNAME=	db4
-PORTVERSION=	4.1.25
+PORTVERSION=	4.0.14
+PORTREVISION=	2
 CATEGORIES=	databases
 MASTER_SITES=	http://www.sleepycat.com/update/snapshot/
 DISTNAME=	db-${PORTVERSION}
 DIST_SUBDIR=	bdb
-
 #PATCH_SITES=	${MASTER_SITES}
 #PATCHFILES=	patch.${PORTVERSION}.1 patch.${PORTVERSION}.2
 #PATCH_DIST_STRIP= -d ${WRKDIR}/${DISTNAME}
diff -Nur --exclude CVS /usr/ports/databases/db4/distinfo /root/db4/distinfo
--- /usr/ports/databases/db4/distinfo	Sat Jan  4 14:24:35 2003
+++ /root/db4/distinfo	Mon Dec 24 11:45:45 2001
@@ -1 +1 @@
-MD5 (bdb/db-4.1.25.tar.gz) = df71961002b552c0e72c6e4e358f27e1
+MD5 (bdb/db-4.0.14.tar.gz) = 12262c64fcd64b772e7cffad8e4d0ebc
diff -Nur --exclude CVS /usr/ports/databases/db4/files/patch-dist::Makefile.in /root/db4/files/patch-dist::Makefile.in
--- /usr/ports/databases/db4/files/patch-dist::Makefile.in	Sat Jan  4 14:24:35 2003
+++ /root/db4/files/patch-dist::Makefile.in	Wed Nov 20 14:13:48 2002
@@ -1,5 +1,5 @@
---- ../dist/Makefile.in.orig	Sat Aug 31 03:11:56 2002
-+++ ../dist/Makefile.in	Sat Dec 28 01:15:46 2002
+--- ../dist/Makefile.in.orig	Sat Nov 10 07:48:45 2001
++++ ../dist/Makefile.in	Sat Nov  9 17:36:00 2002
 @@ -11,7 +11,7 @@
  bindir=	@bindir@
  includedir=@includedir@
@@ -17,7 +17,7 @@
  SOVERSION=	@DB_VERSION_MAJOR@.@DB_VERSION_MINOR@
  
  ##################################################
-@@ -59,13 +60,13 @@
+@@ -60,13 +61,13 @@
  LIBS=		@LIBS@
  LIBSO_LIBS=	@LIBSO_LIBS@
  
@@ -37,7 +37,7 @@
  
  ##################################################
  # C++ API.
-@@ -78,13 +79,13 @@
+@@ -79,13 +80,13 @@
  XSOLINK=	@MAKEFILE_XSOLINK@
  LIBXSO_LIBS=	@LIBXSO_LIBS@
  
@@ -57,20 +57,20 @@
  
  ##################################################
  # Java API.
-@@ -364,8 +365,8 @@
+@@ -235,8 +236,8 @@
+ 	db_server_proc@o@ db_server_svc@o@ db_server_util@o@ gen_db_server@o@
  
  UTIL_PROGS=\
- 	@ADDITIONAL_PROGS@ \
--	db_archive db_checkpoint db_deadlock \
+-	@ADDITIONAL_PROGS@ db_archive db_checkpoint db_deadlock \
 -	db_dump db_load db_printlog db_recover db_stat db_upgrade db_verify
-+	db4_archive db4_checkpoint db4_deadlock \
++	@ADDITIONAL_PROGS@ db4_archive db4_checkpoint db4_deadlock \
 +	db4_dump db4_load db4_printlog db4_recover db4_stat db4_upgrade db4_verify
  
  ##################################################
  # List of files installed into the library directory.
-@@ -481,53 +482,53 @@
- 	echo >> $@ exec java com.sleepycat.db.rpcserver.DbServer \$$@
- 	chmod +x $@
+@@ -330,53 +331,53 @@
+ 	    $(RPC_SRV_OBJS) util_log@o@ $(DEF_LIB) $(LIBS)
+ 	$(POSTLINK) $@
  
 -db_archive: db_archive@o@ util_sig@o@ $(DEF_LIB)
 +db4_archive: db_archive@o@ util_sig@o@ $(DEF_LIB)
@@ -90,19 +90,19 @@
  	    db_deadlock@o@ util_log@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
  
--db_dump: db_dump@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
-+db4_dump: db_dump@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
- 	$(CCLINK) -o $@ $(LDFLAGS) db_dump@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
+-db_dump: db_dump@o@ util_sig@o@ $(DEF_LIB)
++db4_dump: db_dump@o@ util_sig@o@ $(DEF_LIB)
+ 	$(CCLINK) -o $@ $(LDFLAGS) db_dump@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
  
--db_dump185: db_dump185@o@ @LTLIBOBJS@
-+db4_dump185: db_dump185@o@ @LTLIBOBJS@
- 	$(CCLINK) -o $@ $(LDFLAGS) db_dump185@o@ @LTLIBOBJS@ $(DB185LIB)
+-db_dump185: db_dump185@o@ @LIBOBJS@
++db4_dump185: db_dump185@o@ @LIBOBJS@
+ 	$(CCLINK) -o $@ $(LDFLAGS) db_dump185@o@ @LIBOBJS@ $(DB185LIB)
  	$(POSTLINK) $@
  
--db_load: db_load@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
-+db4_load: db_load@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
- 	$(CCLINK) -o $@ $(LDFLAGS) db_load@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
+-db_load: db_load@o@ util_sig@o@ $(DEF_LIB)
++db4_load: db_load@o@ util_sig@o@ $(DEF_LIB)
+ 	$(CCLINK) -o $@ $(LDFLAGS) db_load@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
  
 -db_printlog: db_printlog@o@ util_sig@o@ $(DEF_LIB)
@@ -117,9 +117,9 @@
  	    db_recover@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
  
--db_stat: db_stat@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
-+db4_stat: db_stat@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
- 	$(CCLINK) -o $@ $(LDFLAGS) db_stat@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
+-db_stat: db_stat@o@ util_sig@o@ $(DEF_LIB)
++db4_stat: db_stat@o@ util_sig@o@ $(DEF_LIB)
+ 	$(CCLINK) -o $@ $(LDFLAGS) db_stat@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
  
 -db_upgrade: db_upgrade@o@ util_sig@o@ $(DEF_LIB)
@@ -128,12 +128,12 @@
  	    db_upgrade@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
  
--db_verify: db_verify@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
-+db4_verify: db_verify@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
+-db_verify: db_verify@o@ util_sig@o@ $(DEF_LIB)
++db4_verify: db_verify@o@ util_sig@o@ $(DEF_LIB)
  	$(CCLINK) -o $@ $(LDFLAGS) \
- 	    db_verify@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
+ 	    db_verify@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
  	$(POSTLINK) $@
-@@ -536,7 +537,7 @@
+@@ -385,7 +386,7 @@
  # Library and standard utilities install.
  ##################################################
  library_install: install_setup
diff -Nur --exclude CVS /usr/ports/databases/db4/pkg-plist /root/db4/pkg-plist
--- /usr/ports/databases/db4/pkg-plist	Fri Nov 22 12:40:50 2002
+++ /root/db4/pkg-plist	Sat Jan  4 18:23:25 2003
@@ -2,6 +2,7 @@
 bin/db4_checkpoint
 bin/db4_deadlock
 bin/db4_dump
+bin/db4_dump185
 bin/db4_load
 bin/db4_printlog
 bin/db4_recover
@@ -692,6 +693,7 @@
 %%PORTDOCS%%share/doc/db4/ref/simple_tut/keydata.html
 %%PORTDOCS%%share/doc/db4/ref/simple_tut/open.html
 %%PORTDOCS%%share/doc/db4/ref/simple_tut/put.html
+%%PORTDOCS%%@exec mkdir -p %D/share/doc/db4/ref/splash
 %%PORTDOCS%%share/doc/db4/ref/tcl/error.html
 %%PORTDOCS%%share/doc/db4/ref/tcl/faq.html
 %%PORTDOCS%%share/doc/db4/ref/tcl/intro.html
Comment 3 matthias.andree 2003-01-04 18:40:51 UTC
This shar file contains the new db41 port.

NOTE! DO NOT MOVE OVER THE CURRENT db4 PORT, virtually any file has
changed!

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	db41
#	db41/Makefile
#	db41/distinfo
#	db41/files
#	db41/files/patch-dist::Makefile.in
#	db41/files/patch-dist::configure
#	db41/files/patch-dist::ltmain.sh
#	db41/pkg-comment
#	db41/pkg-descr
#	db41/pkg-plist
#
echo c - db41
mkdir -p db41 > /dev/null 2>&1
echo x - db41/Makefile
sed 's/^X//' >db41/Makefile << 'END-of-db41/Makefile'
X# ports collection makefile for:	Berkeley DB v4
X# Date created:				2003-01-04
X# Whom:					Matthias Andree <matthias.andree@web.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	db41
XPORTVERSION=	4.1.25
XCATEGORIES=	databases
XMASTER_SITES=	http://www.sleepycat.com/update/snapshot/
XDISTNAME=	db-${PORTVERSION}
XDIST_SUBDIR=	bdb
X#PATCH_SITES=	${MASTER_SITES}
X#PATCHFILES=	patch.${PORTVERSION}.1 patch.${PORTVERSION}.2
X#PATCH_DIST_STRIP= -d ${WRKDIR}/${DISTNAME}
X
XMAINTAINER=	ports@FreeBSD.org
X
XWRKSRC=		${WRKDIR}/${DISTNAME}/build_unix
X
XUSE_REINPLACE=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_SCRIPT=	../dist/configure
XCONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=	--enable-compat185 --enable-dump185 \
X		--enable-cxx --enable-dynamic \
X		--includedir=${PREFIX}/include/db41
XINSTALLS_SHLIB=	yes
X
X.if !defined(NOPORTDOCS)
XINSTALL_TARGET=	install install_docs
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e \
X		's|-lpthread|${PTHREAD_LIBS}|g' ${WRKSRC}/${CONFIGURE_SCRIPT}
X
X.include <bsd.port.mk>
END-of-db41/Makefile
echo x - db41/distinfo
sed 's/^X//' >db41/distinfo << 'END-of-db41/distinfo'
XMD5 (bdb/db-4.1.25.tar.gz) = df71961002b552c0e72c6e4e358f27e1
END-of-db41/distinfo
echo c - db41/files
mkdir -p db41/files > /dev/null 2>&1
echo x - db41/files/patch-dist::Makefile.in
sed 's/^X//' >db41/files/patch-dist::Makefile.in << 'END-of-db41/files/patch-dist::Makefile.in'
X--- ../dist/Makefile.in.orig	Sat Aug 31 03:11:56 2002
X+++ ../dist/Makefile.in	Sat Dec 28 01:15:46 2002
X@@ -11,7 +11,7 @@
X bindir=	@bindir@
X includedir=@includedir@
X libdir=	@libdir@
X-docdir=	$(prefix)/docs
X+docdir=	$(prefix)/share/doc/db41
X 
X dmode=	755
X emode=	555
X@@ -45,6 +45,7 @@
X SOLINK=		@MAKEFILE_SOLINK@
X SOFLAGS=	@SOFLAGS@
X SOMAJOR=	@DB_VERSION_MAJOR@
X+SOMINOR=	@DB_VERSION_MINOR@
X SOVERSION=	@DB_VERSION_MAJOR@.@DB_VERSION_MINOR@
X 
X ##################################################
X@@ -59,13 +60,13 @@
X LIBS=		@LIBS@
X LIBSO_LIBS=	@LIBSO_LIBS@
X 
X-libdb=		libdb.a
X-libso_base=	libdb
X-libso=		$(libso_base)-$(SOVERSION).@SOSUFFIX@
X-libso_static=	$(libso_base)-$(SOVERSION).a
X-libso_target=	$(libso_base)-$(SOVERSION).la
X+libdb=		libdb41.a
X+libso_base=	libdb41
X+libso=		$(libso_base).@SOSUFFIX@
X+libso_static=	$(libso_base).a
X+libso_target=	$(libso_base).la
X libso_default=	$(libso_base).@SOSUFFIX@
X-libso_major=	$(libso_base)-$(SOMAJOR).@SOSUFFIX@
X+libso_major=	$(libso_base).@SOSUFFIX@.$(SOMINOR)
X 
X ##################################################
X # C++ API.
X@@ -78,13 +79,13 @@
X XSOLINK=	@MAKEFILE_XSOLINK@
X LIBXSO_LIBS=	@LIBXSO_LIBS@
X 
X-libcxx=		libdb_cxx.a
X-libxso_base=	libdb_cxx
X-libxso=		$(libxso_base)-$(SOVERSION).@SOSUFFIX@
X-libxso_static=	$(libxso_base)-$(SOVERSION).a
X-libxso_target=	$(libxso_base)-$(SOVERSION).la
X+libcxx=		libdb41_cxx.a
X+libxso_base=	libdb41_cxx
X+libxso=		$(libxso_base).@SOSUFFIX@
X+libxso_static=	$(libxso_base).a
X+libxso_target=	$(libxso_base).la
X libxso_default=	$(libxso_base).@SOSUFFIX@
X-libxso_major=	$(libxso_base)-$(SOMAJOR).@SOSUFFIX@
X+libxso_major=	$(libxso_base).@SOSUFFIX@.$(SOMINOR)
X 
X ##################################################
X # Java API.
X@@ -364,8 +365,8 @@
X 
X UTIL_PROGS=\
X 	@ADDITIONAL_PROGS@ \
X-	db_archive db_checkpoint db_deadlock \
X-	db_dump db_load db_printlog db_recover db_stat db_upgrade db_verify
X+	db41_archive db41_checkpoint db41_deadlock \
X+	db41_dump db41_load db41_printlog db41_recover db41_stat db41_upgrade db41_verify
X 
X ##################################################
X # List of files installed into the library directory.
X@@ -481,53 +482,53 @@
X 	echo >> $@ exec java com.sleepycat.db.rpcserver.DbServer \$$@
X 	chmod +x $@
X 
X-db_archive: db_archive@o@ util_sig@o@ $(DEF_LIB)
X+db41_archive: db_archive@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_archive@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_checkpoint: db_checkpoint@o@ util_log@o@ util_sig@o@ $(DEF_LIB)
X+db41_checkpoint: db_checkpoint@o@ util_log@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_checkpoint@o@ util_log@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_deadlock: db_deadlock@o@ util_log@o@ util_sig@o@ $(DEF_LIB)
X+db41_deadlock: db_deadlock@o@ util_log@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_deadlock@o@ util_log@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_dump: db_dump@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X+db41_dump: db_dump@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) db_dump@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_dump185: db_dump185@o@ @LTLIBOBJS@
X+db41_dump185: db_dump185@o@ @LTLIBOBJS@
X 	$(CCLINK) -o $@ $(LDFLAGS) db_dump185@o@ @LTLIBOBJS@ $(DB185LIB)
X 	$(POSTLINK) $@
X 
X-db_load: db_load@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X+db41_load: db_load@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) db_load@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_printlog: db_printlog@o@ util_sig@o@ $(DEF_LIB)
X+db41_printlog: db_printlog@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_printlog@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_recover: db_recover@o@ util_sig@o@ $(DEF_LIB)
X+db41_recover: db_recover@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_recover@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_stat: db_stat@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X+db41_stat: db_stat@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) db_stat@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_upgrade: db_upgrade@o@ util_sig@o@ $(DEF_LIB)
X+db41_upgrade: db_upgrade@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_upgrade@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X 
X-db_verify: db_verify@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X+db41_verify: db_verify@o@ util_cache@o@ util_sig@o@ $(DEF_LIB)
X 	$(CCLINK) -o $@ $(LDFLAGS) \
X 	    db_verify@o@ util_cache@o@ util_sig@o@ $(DEF_LIB) $(LIBS)
X 	$(POSTLINK) $@
X@@ -536,7 +537,7 @@
X # Library and standard utilities install.
X ##################################################
X library_install: install_setup
X-library_install: install_include install_lib install_utilities install_docs
X+library_install: install_include install_lib install_utilities
X 
X uninstall: uninstall_include uninstall_lib uninstall_utilities uninstall_docs
X 
END-of-db41/files/patch-dist::Makefile.in
echo x - db41/files/patch-dist::configure
sed 's/^X//' >db41/files/patch-dist::configure << 'END-of-db41/files/patch-dist::configure'
X--- ../dist/configure.orig	Wed Dec  5 13:14:02 2001
X+++ ../dist/configure	Wed Dec  5 13:24:01 2001
X@@ -8794,10 +8794,10 @@
X INSTALLER="\$(LIBTOOL) --mode=install cp"
X 
X MAKEFILE_CC="\$(LIBTOOL) --mode=compile ${MAKEFILE_CC}"
X-MAKEFILE_SOLINK="\$(LIBTOOL) --mode=link ${MAKEFILE_CCLINK} -avoid-version"
X+MAKEFILE_SOLINK="\$(LIBTOOL) --mode=link ${MAKEFILE_CCLINK} -version-info ${DB_VERSION_MINOR}"
X MAKEFILE_CCLINK="\$(LIBTOOL) --mode=link ${MAKEFILE_CCLINK}"
X MAKEFILE_CXX="\$(LIBTOOL) --mode=compile ${MAKEFILE_CXX}"
X-MAKEFILE_XSOLINK="\$(LIBTOOL) --mode=link ${MAKEFILE_CXXLINK} -avoid-version"
X+MAKEFILE_XSOLINK="\$(LIBTOOL) --mode=link ${MAKEFILE_CXXLINK} -version-info ${DB_VERSION_MINOR}"
X MAKEFILE_CXXLINK="\$(LIBTOOL) --mode=link ${MAKEFILE_CXXLINK}"
X 
X # Configure for shared libraries, static libraries, or both.  If both are
X@@ -9511,7 +9511,7 @@
X 
X # Optional utilities.
X if test "$db_cv_dump185" = "yes"; then
X-	ADDITIONAL_PROGS="db_dump185 $ADDITIONAL_PROGS"
X+	ADDITIONAL_PROGS="db41_dump185 $ADDITIONAL_PROGS"
X fi
X 
X # Checks for system/compiler characteristics.
END-of-db41/files/patch-dist::configure
echo x - db41/files/patch-dist::ltmain.sh
sed 's/^X//' >db41/files/patch-dist::ltmain.sh << 'END-of-db41/files/patch-dist::ltmain.sh'
X--- ../dist/ltmain.sh.orig	Sat Nov 17 01:15:01 2001
X+++ ../dist/ltmain.sh	Sat Nov  9 17:08:02 2002
X@@ -1043,14 +1043,14 @@
X 	    # These systems don't actually have a C library (as such)
X 	    test "X$arg" = "X-lc" && continue
X 	    ;;
X-	  *-*-openbsd*)
X+	  *-*-openbsd* | *-*-freebsd*)
X 	    # Do not include libc due to us having libc/libc_r.
X 	    test "X$arg" = "X-lc" && continue
X 	    ;;
X 	  esac
X 	 elif test "X$arg" = "X-lc_r"; then
X 	  case $host in
X-	  *-*-openbsd*)
X+	  *-*-openbsd* | *-*-freebsd*)
X 	    # Do not include libc_r directly, use -pthread flag.
X 	    continue
X 	    ;;
X@@ -4217,10 +4217,12 @@
X 	fi
X 
X 	# Install the pseudo-library for information purposes.
X+	if /usr/bin/false; then
X 	name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
X 	instname="$dir/$name"i
X 	$show "$install_prog $instname $destdir/$name"
X 	$run eval "$install_prog $instname $destdir/$name" || exit $?
X+	fi
X 
X 	# Maybe install the static library, too.
X 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
END-of-db41/files/patch-dist::ltmain.sh
echo x - db41/pkg-comment
sed 's/^X//' >db41/pkg-comment << 'END-of-db41/pkg-comment'
XThe Berkeley DB package, revision 4.1
END-of-db41/pkg-comment
echo x - db41/pkg-descr
sed 's/^X//' >db41/pkg-descr << 'END-of-db41/pkg-descr'
XVersion 4.1 of the Berkeley DB library. This version uses an incompatible
Xunderlying database format than revision 1 and a different standard API.
XUtilities are included in the distribution to convert v1.85 databases to v4.1
Xdatabases, and a backwards compatible API is provided to maintain
Xcompatibility with programs using the v1.85 interface.
X
XThere are minor interface changes in this release which may require that DB
Xapplications be modified and recompiled. For a complete discussion of
Xinterface changes, see:
X
Xhttp://www.sleepycat.com/update/
X  
XWWW: http://www.sleepycat.com/
END-of-db41/pkg-descr
echo x - db41/pkg-plist
sed 's/^X//' >db41/pkg-plist << 'END-of-db41/pkg-plist'
Xbin/db41_archive
Xbin/db41_checkpoint
Xbin/db41_deadlock
Xbin/db41_dump
Xbin/db41_load
Xbin/db41_printlog
Xbin/db41_recover
Xbin/db41_stat
Xbin/db41_upgrade
Xbin/db41_verify
Xinclude/db41/cxx_common.h
Xinclude/db41/cxx_except.h
Xinclude/db41/db.h
Xinclude/db41/db_185.h
Xinclude/db41/db_cxx.h
Xlib/libdb41.a
Xlib/libdb41.so
Xlib/libdb41.so.1
Xlib/libdb41_cxx.a
Xlib/libdb41_cxx.so
Xlib/libdb41_cxx.so.1
X%%PORTDOCS%%share/doc/db41/api_c/c_index.html
X%%PORTDOCS%%share/doc/db41/api_c/c_pindex.html
X%%PORTDOCS%%share/doc/db41/api_c/db_associate.html
X%%PORTDOCS%%share/doc/db41/api_c/db_class.html
X%%PORTDOCS%%share/doc/db41/api_c/db_close.html
X%%PORTDOCS%%share/doc/db41/api_c/db_create.html
X%%PORTDOCS%%share/doc/db41/api_c/db_cursor.html
X%%PORTDOCS%%share/doc/db41/api_c/db_del.html
X%%PORTDOCS%%share/doc/db41/api_c/db_err.html
X%%PORTDOCS%%share/doc/db41/api_c/db_fd.html
X%%PORTDOCS%%share/doc/db41/api_c/db_get.html
X%%PORTDOCS%%share/doc/db41/api_c/db_get_byteswapped.html
X%%PORTDOCS%%share/doc/db41/api_c/db_get_type.html
X%%PORTDOCS%%share/doc/db41/api_c/db_join.html
X%%PORTDOCS%%share/doc/db41/api_c/db_key_range.html
X%%PORTDOCS%%share/doc/db41/api_c/db_list.html
X%%PORTDOCS%%share/doc/db41/api_c/db_open.html
X%%PORTDOCS%%share/doc/db41/api_c/db_put.html
X%%PORTDOCS%%share/doc/db41/api_c/db_remove.html
X%%PORTDOCS%%share/doc/db41/api_c/db_rename.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_alloc.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_append_recno.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_bt_compare.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_bt_minkey.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_bt_prefix.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_cache_priority.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_cachesize.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_dup_compare.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_encrypt.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_errcall.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_errfile.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_errpfx.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_feedback.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_flags.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_h_ffactor.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_h_hash.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_h_nelem.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_lorder.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_pagesize.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_paniccall.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_q_extentsize.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_re_delim.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_re_len.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_re_pad.html
X%%PORTDOCS%%share/doc/db41/api_c/db_set_re_source.html
X%%PORTDOCS%%share/doc/db41/api_c/db_stat.html
X%%PORTDOCS%%share/doc/db41/api_c/db_sync.html
X%%PORTDOCS%%share/doc/db41/api_c/db_truncate.html
X%%PORTDOCS%%share/doc/db41/api_c/db_upgrade.html
X%%PORTDOCS%%share/doc/db41/api_c/db_verify.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_class.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_close.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_count.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_del.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_dup.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_get.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_list.html
X%%PORTDOCS%%share/doc/db41/api_c/dbc_put.html
X%%PORTDOCS%%share/doc/db41/api_c/dbm.html
X%%PORTDOCS%%share/doc/db41/api_c/dbt_bulk.html
X%%PORTDOCS%%share/doc/db41/api_c/dbt_class.html
X%%PORTDOCS%%share/doc/db41/api_c/env_class.html
X%%PORTDOCS%%share/doc/db41/api_c/env_close.html
X%%PORTDOCS%%share/doc/db41/api_c/env_create.html
X%%PORTDOCS%%share/doc/db41/api_c/env_dbremove.html
X%%PORTDOCS%%share/doc/db41/api_c/env_dbrename.html
X%%PORTDOCS%%share/doc/db41/api_c/env_err.html
X%%PORTDOCS%%share/doc/db41/api_c/env_list.html
X%%PORTDOCS%%share/doc/db41/api_c/env_open.html
X%%PORTDOCS%%share/doc/db41/api_c/env_remove.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_alloc.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_app_dispatch.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_cachesize.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_data_dir.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_encrypt.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_errcall.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_errfile.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_errpfx.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_feedback.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_flags.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lg_bsize.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lg_dir.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lg_max.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lg_regionmax.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lk_conflicts.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lk_detect.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lk_max_lockers.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lk_max_locks.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_lk_max_objects.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_mp_mmapsize.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_paniccall.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_rpc_server.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_shm_key.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_tas_spins.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_timeout.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_tmp_dir.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_tx_max.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_tx_timestamp.html
X%%PORTDOCS%%share/doc/db41/api_c/env_set_verbose.html
X%%PORTDOCS%%share/doc/db41/api_c/env_strerror.html
X%%PORTDOCS%%share/doc/db41/api_c/env_version.html
X%%PORTDOCS%%share/doc/db41/api_c/hsearch.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_class.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_detect.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_get.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_id.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_id_free.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_list.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_put.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_stat.html
X%%PORTDOCS%%share/doc/db41/api_c/lock_vec.html
X%%PORTDOCS%%share/doc/db41/api_c/log_archive.html
X%%PORTDOCS%%share/doc/db41/api_c/log_compare.html
X%%PORTDOCS%%share/doc/db41/api_c/log_cursor.html
X%%PORTDOCS%%share/doc/db41/api_c/log_file.html
X%%PORTDOCS%%share/doc/db41/api_c/log_flush.html
X%%PORTDOCS%%share/doc/db41/api_c/log_list.html
X%%PORTDOCS%%share/doc/db41/api_c/log_put.html
X%%PORTDOCS%%share/doc/db41/api_c/log_stat.html
X%%PORTDOCS%%share/doc/db41/api_c/logc_class.html
X%%PORTDOCS%%share/doc/db41/api_c/logc_close.html
X%%PORTDOCS%%share/doc/db41/api_c/logc_get.html
X%%PORTDOCS%%share/doc/db41/api_c/lsn_class.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fclose.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fcreate.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fget.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fopen.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fput.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fset.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_fsync.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_list.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_register.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_set_clear_len.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_set_fileid.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_set_ftype.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_set_lsn_offset.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_set_pgcookie.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_stat.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_sync.html
X%%PORTDOCS%%share/doc/db41/api_c/memp_trickle.html
X%%PORTDOCS%%share/doc/db41/api_c/mempfile_class.html
X%%PORTDOCS%%share/doc/db41/api_c/pindex.src
X%%PORTDOCS%%share/doc/db41/api_c/rep_elect.html
X%%PORTDOCS%%share/doc/db41/api_c/rep_limit.html
X%%PORTDOCS%%share/doc/db41/api_c/rep_list.html
X%%PORTDOCS%%share/doc/db41/api_c/rep_message.html
X%%PORTDOCS%%share/doc/db41/api_c/rep_start.html
X%%PORTDOCS%%share/doc/db41/api_c/rep_stat.html
X%%PORTDOCS%%share/doc/db41/api_c/rep_transport.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_close.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_dirfree.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_dirlist.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_exists.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_free.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_fsync.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_ioinfo.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_malloc.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_map.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_open.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_read.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_realloc.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_rename.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_seek.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_sleep.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_unlink.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_unmap.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_write.html
X%%PORTDOCS%%share/doc/db41/api_c/set_func_yield.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_abort.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_begin.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_checkpoint.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_class.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_commit.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_discard.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_id.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_list.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_prepare.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_recover.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_set_timeout.html
X%%PORTDOCS%%share/doc/db41/api_c/txn_stat.html
X%%PORTDOCS%%share/doc/db41/api_cxx/c_index.html
X%%PORTDOCS%%share/doc/db41/api_cxx/cxx_pindex.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_associate.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_close.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_cursor.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_del.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_err.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_fd.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_get.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_get_byteswapped.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_get_type.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_join.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_key_range.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_open.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_put.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_remove.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_rename.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_alloc.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_append_recno.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_bt_compare.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_bt_minkey.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_bt_prefix.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_cache_priority.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_cachesize.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_dup_compare.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_encrypt.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_errcall.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_errfile.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_error_stream.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_errpfx.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_feedback.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_flags.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_h_ffactor.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_h_hash.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_h_nelem.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_lorder.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_pagesize.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_paniccall.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_q_extentsize.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_re_delim.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_re_len.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_re_pad.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_set_re_source.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_stat.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_sync.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_truncate.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_upgrade.html
X%%PORTDOCS%%share/doc/db41/api_cxx/db_verify.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_close.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_count.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_del.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_dup.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_get.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbc_put.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbt_bulk.html
X%%PORTDOCS%%share/doc/db41/api_cxx/dbt_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/deadlock_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_close.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_dbremove.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_dbrename.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_err.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_open.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_remove.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_alloc.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_app_dispatch.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_cachesize.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_data_dir.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_encrypt.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_errcall.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_errfile.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_error_stream.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_errpfx.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_feedback.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_flags.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lg_bsize.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lg_dir.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lg_max.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lg_regionmax.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lk_conflicts.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lk_detect.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lk_max_lockers.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lk_max_locks.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_lk_max_objects.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_mp_mmapsize.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_paniccall.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_rpc_server.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_shm_key.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_tas_spins.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_timeout.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_tmp_dir.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_tx_max.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_tx_timestamp.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_set_verbose.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_strerror.html
X%%PORTDOCS%%share/doc/db41/api_cxx/env_version.html
X%%PORTDOCS%%share/doc/db41/api_cxx/except_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_detect.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_get.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_id.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_id_free.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_put.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_stat.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lock_vec.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lockng_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_archive.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_compare.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_cursor.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_file.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_flush.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_put.html
X%%PORTDOCS%%share/doc/db41/api_cxx/log_stat.html
X%%PORTDOCS%%share/doc/db41/api_cxx/logc_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/logc_close.html
X%%PORTDOCS%%share/doc/db41/api_cxx/logc_get.html
X%%PORTDOCS%%share/doc/db41/api_cxx/lsn_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fclose.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fcreate.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fget.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fopen.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fput.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fset.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_fsync.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_register.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_set_clear_len.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_set_fileid.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_set_ftype.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_set_lsn_offset.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_set_pgcookie.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_stat.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_sync.html
X%%PORTDOCS%%share/doc/db41/api_cxx/memp_trickle.html
X%%PORTDOCS%%share/doc/db41/api_cxx/mempfile_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/pindex.src
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_elect.html
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_limit.html
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_message.html
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_start.html
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_stat.html
X%%PORTDOCS%%share/doc/db41/api_cxx/rep_transport.html
X%%PORTDOCS%%share/doc/db41/api_cxx/runrec_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_abort.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_begin.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_checkpoint.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_class.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_commit.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_discard.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_id.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_list.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_prepare.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_recover.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_set_timeout.html
X%%PORTDOCS%%share/doc/db41/api_cxx/txn_stat.html
X%%PORTDOCS%%share/doc/db41/api_java/c_index.html
X%%PORTDOCS%%share/doc/db41/api_java/db_associate.html
X%%PORTDOCS%%share/doc/db41/api_java/db_class.html
X%%PORTDOCS%%share/doc/db41/api_java/db_close.html
X%%PORTDOCS%%share/doc/db41/api_java/db_cursor.html
X%%PORTDOCS%%share/doc/db41/api_java/db_del.html
X%%PORTDOCS%%share/doc/db41/api_java/db_err.html
X%%PORTDOCS%%share/doc/db41/api_java/db_fd.html
X%%PORTDOCS%%share/doc/db41/api_java/db_get.html
X%%PORTDOCS%%share/doc/db41/api_java/db_get_byteswapped.html
X%%PORTDOCS%%share/doc/db41/api_java/db_get_type.html
X%%PORTDOCS%%share/doc/db41/api_java/db_join.html
X%%PORTDOCS%%share/doc/db41/api_java/db_key_range.html
X%%PORTDOCS%%share/doc/db41/api_java/db_list.html
X%%PORTDOCS%%share/doc/db41/api_java/db_open.html
X%%PORTDOCS%%share/doc/db41/api_java/db_put.html
X%%PORTDOCS%%share/doc/db41/api_java/db_remove.html
X%%PORTDOCS%%share/doc/db41/api_java/db_rename.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_append_recno.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_bt_compare.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_bt_minkey.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_bt_prefix.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_cache_priority.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_cachesize.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_dup_compare.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_encrypt.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_errcall.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_error_stream.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_errpfx.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_feedback.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_flags.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_h_ffactor.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_h_hash.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_h_nelem.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_lorder.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_pagesize.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_q_extentsize.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_re_delim.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_re_len.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_re_pad.html
X%%PORTDOCS%%share/doc/db41/api_java/db_set_re_source.html
X%%PORTDOCS%%share/doc/db41/api_java/db_stat.html
X%%PORTDOCS%%share/doc/db41/api_java/db_sync.html
X%%PORTDOCS%%share/doc/db41/api_java/db_truncate.html
X%%PORTDOCS%%share/doc/db41/api_java/db_upgrade.html
X%%PORTDOCS%%share/doc/db41/api_java/db_verify.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_class.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_close.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_count.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_del.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_dup.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_get.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_list.html
X%%PORTDOCS%%share/doc/db41/api_java/dbc_put.html
X%%PORTDOCS%%share/doc/db41/api_java/dbt_bulk_class.html
X%%PORTDOCS%%share/doc/db41/api_java/dbt_class.html
X%%PORTDOCS%%share/doc/db41/api_java/deadlock_class.html
X%%PORTDOCS%%share/doc/db41/api_java/env_class.html
X%%PORTDOCS%%share/doc/db41/api_java/env_close.html
X%%PORTDOCS%%share/doc/db41/api_java/env_dbremove.html
X%%PORTDOCS%%share/doc/db41/api_java/env_dbrename.html
X%%PORTDOCS%%share/doc/db41/api_java/env_err.html
X%%PORTDOCS%%share/doc/db41/api_java/env_list.html
X%%PORTDOCS%%share/doc/db41/api_java/env_open.html
X%%PORTDOCS%%share/doc/db41/api_java/env_remove.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_app_dispatch.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_cachesize.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_data_dir.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_encrypt.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_errcall.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_error_stream.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_errpfx.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_feedback.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_flags.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lg_bsize.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lg_dir.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lg_max.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lg_regionmax.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lk_conflicts.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lk_detect.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lk_max_lockers.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lk_max_locks.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_lk_max_objects.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_mp_mmapsize.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_rpc_server.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_shm_key.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_tas_spins.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_timeout.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_tmp_dir.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_tx_max.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_tx_timestamp.html
X%%PORTDOCS%%share/doc/db41/api_java/env_set_verbose.html
X%%PORTDOCS%%share/doc/db41/api_java/env_strerror.html
X%%PORTDOCS%%share/doc/db41/api_java/env_version.html
X%%PORTDOCS%%share/doc/db41/api_java/except_class.html
X%%PORTDOCS%%share/doc/db41/api_java/java_pindex.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_class.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_detect.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_get.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_id.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_id_free.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_list.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_put.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_stat.html
X%%PORTDOCS%%share/doc/db41/api_java/lock_vec.html
X%%PORTDOCS%%share/doc/db41/api_java/lockng_class.html
X%%PORTDOCS%%share/doc/db41/api_java/log_archive.html
X%%PORTDOCS%%share/doc/db41/api_java/log_compare.html
X%%PORTDOCS%%share/doc/db41/api_java/log_cursor.html
X%%PORTDOCS%%share/doc/db41/api_java/log_file.html
X%%PORTDOCS%%share/doc/db41/api_java/log_flush.html
X%%PORTDOCS%%share/doc/db41/api_java/log_list.html
X%%PORTDOCS%%share/doc/db41/api_java/log_put.html
X%%PORTDOCS%%share/doc/db41/api_java/log_stat.html
X%%PORTDOCS%%share/doc/db41/api_java/logc_class.html
X%%PORTDOCS%%share/doc/db41/api_java/logc_close.html
X%%PORTDOCS%%share/doc/db41/api_java/logc_get.html
X%%PORTDOCS%%share/doc/db41/api_java/lsn_class.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_class.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_fclose.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_fopen.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_fsync.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_list.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_register.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_stat.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_sync.html
X%%PORTDOCS%%share/doc/db41/api_java/memp_trickle.html
X%%PORTDOCS%%share/doc/db41/api_java/mempfile_class.html
X%%PORTDOCS%%share/doc/db41/api_java/pindex.src
X%%PORTDOCS%%share/doc/db41/api_java/rep_elect.html
X%%PORTDOCS%%share/doc/db41/api_java/rep_limit.html
X%%PORTDOCS%%share/doc/db41/api_java/rep_list.html
X%%PORTDOCS%%share/doc/db41/api_java/rep_message.html
X%%PORTDOCS%%share/doc/db41/api_java/rep_start.html
X%%PORTDOCS%%share/doc/db41/api_java/rep_stat.html
X%%PORTDOCS%%share/doc/db41/api_java/rep_transport.html
X%%PORTDOCS%%share/doc/db41/api_java/runrec_class.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_abort.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_begin.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_checkpoint.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_class.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_commit.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_discard.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_id.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_list.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_prepare.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_recover.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_set_timeout.html
X%%PORTDOCS%%share/doc/db41/api_java/txn_stat.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_close.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_count.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_cursor.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_del.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_get.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_get_join.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_get_type.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_is_byteswapped.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_join.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_open.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_put.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_remove.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_rename.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_stat.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_sync.html
X%%PORTDOCS%%share/doc/db41/api_tcl/db_truncate.html
X%%PORTDOCS%%share/doc/db41/api_tcl/dbc_close.html
X%%PORTDOCS%%share/doc/db41/api_tcl/dbc_del.html
X%%PORTDOCS%%share/doc/db41/api_tcl/dbc_dup.html
X%%PORTDOCS%%share/doc/db41/api_tcl/dbc_get.html
X%%PORTDOCS%%share/doc/db41/api_tcl/dbc_put.html
X%%PORTDOCS%%share/doc/db41/api_tcl/env_close.html
X%%PORTDOCS%%share/doc/db41/api_tcl/env_dbremove.html
X%%PORTDOCS%%share/doc/db41/api_tcl/env_dbrename.html
X%%PORTDOCS%%share/doc/db41/api_tcl/env_open.html
X%%PORTDOCS%%share/doc/db41/api_tcl/env_remove.html
X%%PORTDOCS%%share/doc/db41/api_tcl/pindex.src
X%%PORTDOCS%%share/doc/db41/api_tcl/tcl_index.html
X%%PORTDOCS%%share/doc/db41/api_tcl/tcl_pindex.html
X%%PORTDOCS%%share/doc/db41/api_tcl/txn.html
X%%PORTDOCS%%share/doc/db41/api_tcl/txn_abort.html
X%%PORTDOCS%%share/doc/db41/api_tcl/txn_commit.html
X%%PORTDOCS%%share/doc/db41/api_tcl/version.html
X%%PORTDOCS%%share/doc/db41/images/api.gif
X%%PORTDOCS%%share/doc/db41/images/next.gif
X%%PORTDOCS%%share/doc/db41/images/prev.gif
X%%PORTDOCS%%share/doc/db41/images/ps.gif
X%%PORTDOCS%%share/doc/db41/images/ref.gif
X%%PORTDOCS%%share/doc/db41/images/sleepycat.gif
X%%PORTDOCS%%share/doc/db41/index.html
X%%PORTDOCS%%share/doc/db41/ref/am/close.html
X%%PORTDOCS%%share/doc/db41/ref/am/count.html
X%%PORTDOCS%%share/doc/db41/ref/am/curclose.html
X%%PORTDOCS%%share/doc/db41/ref/am/curdel.html
X%%PORTDOCS%%share/doc/db41/ref/am/curdup.html
X%%PORTDOCS%%share/doc/db41/ref/am/curget.html
X%%PORTDOCS%%share/doc/db41/ref/am/curput.html
X%%PORTDOCS%%share/doc/db41/ref/am/cursor.html
X%%PORTDOCS%%share/doc/db41/ref/am/delete.html
X%%PORTDOCS%%share/doc/db41/ref/am/get.html
X%%PORTDOCS%%share/doc/db41/ref/am/join.html
X%%PORTDOCS%%share/doc/db41/ref/am/open.html
X%%PORTDOCS%%share/doc/db41/ref/am/opensub.html
X%%PORTDOCS%%share/doc/db41/ref/am/ops.html
X%%PORTDOCS%%share/doc/db41/ref/am/put.html
X%%PORTDOCS%%share/doc/db41/ref/am/second.html
X%%PORTDOCS%%share/doc/db41/ref/am/stat.html
X%%PORTDOCS%%share/doc/db41/ref/am/sync.html
X%%PORTDOCS%%share/doc/db41/ref/am/truncate.html
X%%PORTDOCS%%share/doc/db41/ref/am/upgrade.html
X%%PORTDOCS%%share/doc/db41/ref/am/verify.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/bt_compare.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/bt_minkey.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/bt_prefix.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/bt_recnum.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/byteorder.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/cachesize.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/dup.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/extentsize.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/h_ffactor.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/h_hash.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/h_nelem.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/intro.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/logrec.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/malloc.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/pagesize.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/re_source.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/recno.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/renumber.html
X%%PORTDOCS%%share/doc/db41/ref/am_conf/select.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/align.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/dbsizes.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/diskspace.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/error.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/faq.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/get_bulk.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/partial.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/perm.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/stability.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/struct.html
X%%PORTDOCS%%share/doc/db41/ref/am_misc/tune.html
X%%PORTDOCS%%share/doc/db41/ref/apprec/auto.html
X%%PORTDOCS%%share/doc/db41/ref/apprec/config.html
X%%PORTDOCS%%share/doc/db41/ref/apprec/def.html
X%%PORTDOCS%%share/doc/db41/ref/apprec/intro.html
X%%PORTDOCS%%share/doc/db41/ref/arch/apis.html
X%%PORTDOCS%%share/doc/db41/ref/arch/bigpic.gif
X%%PORTDOCS%%share/doc/db41/ref/arch/bigpic.html
X%%PORTDOCS%%share/doc/db41/ref/arch/progmodel.html
X%%PORTDOCS%%share/doc/db41/ref/arch/script.html
X%%PORTDOCS%%share/doc/db41/ref/arch/smallpic.gif
X%%PORTDOCS%%share/doc/db41/ref/arch/utilities.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/aix.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/conf.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/embedix.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/flags.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/freebsd.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/hpux.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/install.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/intro.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/irix.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/linux.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/macosx.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/notes.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/osf1.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/qnx.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/sco.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/shlib.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/solaris.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/sunos.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/test.html
X%%PORTDOCS%%share/doc/db41/ref/build_unix/ultrix.html
X%%PORTDOCS%%share/doc/db41/ref/build_vxworks/faq.html
X%%PORTDOCS%%share/doc/db41/ref/build_vxworks/intro.html
X%%PORTDOCS%%share/doc/db41/ref/build_vxworks/introae.html
X%%PORTDOCS%%share/doc/db41/ref/build_vxworks/notes.html
X%%PORTDOCS%%share/doc/db41/ref/build_win/faq.html
X%%PORTDOCS%%share/doc/db41/ref/build_win/intro.html
X%%PORTDOCS%%share/doc/db41/ref/build_win/notes.html
X%%PORTDOCS%%share/doc/db41/ref/build_win/test.html
X%%PORTDOCS%%share/doc/db41/ref/cam/intro.html
X%%PORTDOCS%%share/doc/db41/ref/debug/common.html
X%%PORTDOCS%%share/doc/db41/ref/debug/compile.html
X%%PORTDOCS%%share/doc/db41/ref/debug/intro.html
X%%PORTDOCS%%share/doc/db41/ref/debug/printlog.html
X%%PORTDOCS%%share/doc/db41/ref/debug/runtime.html
X%%PORTDOCS%%share/doc/db41/ref/distrib/layout.html
X%%PORTDOCS%%share/doc/db41/ref/distrib/port.html
X%%PORTDOCS%%share/doc/db41/ref/dumpload/format.html
X%%PORTDOCS%%share/doc/db41/ref/dumpload/text.html
X%%PORTDOCS%%share/doc/db41/ref/dumpload/utility.html
X%%PORTDOCS%%share/doc/db41/ref/env/create.html
X%%PORTDOCS%%share/doc/db41/ref/env/db_config.html
X%%PORTDOCS%%share/doc/db41/ref/env/encrypt.html
X%%PORTDOCS%%share/doc/db41/ref/env/error.html
X%%PORTDOCS%%share/doc/db41/ref/env/faq.html
X%%PORTDOCS%%share/doc/db41/ref/env/intro.html
X%%PORTDOCS%%share/doc/db41/ref/env/naming.html
X%%PORTDOCS%%share/doc/db41/ref/env/open.html
X%%PORTDOCS%%share/doc/db41/ref/env/region.html
X%%PORTDOCS%%share/doc/db41/ref/env/remote.html
X%%PORTDOCS%%share/doc/db41/ref/env/security.html
X%%PORTDOCS%%share/doc/db41/ref/install/file.html
X%%PORTDOCS%%share/doc/db41/ref/install/magic.s5.be.txt
X%%PORTDOCS%%share/doc/db41/ref/install/magic.s5.le.txt
X%%PORTDOCS%%share/doc/db41/ref/install/magic.txt
X%%PORTDOCS%%share/doc/db41/ref/install/multiple.html
X%%PORTDOCS%%share/doc/db41/ref/install/rpm.html
X%%PORTDOCS%%share/doc/db41/ref/intro/data.html
X%%PORTDOCS%%share/doc/db41/ref/intro/dbis.html
X%%PORTDOCS%%share/doc/db41/ref/intro/dbisnot.html
X%%PORTDOCS%%share/doc/db41/ref/intro/distrib.html
X%%PORTDOCS%%share/doc/db41/ref/intro/need.html
X%%PORTDOCS%%share/doc/db41/ref/intro/products.html
X%%PORTDOCS%%share/doc/db41/ref/intro/terrain.html
X%%PORTDOCS%%share/doc/db41/ref/intro/what.html
X%%PORTDOCS%%share/doc/db41/ref/intro/where.html
X%%PORTDOCS%%share/doc/db41/ref/java/compat.html
X%%PORTDOCS%%share/doc/db41/ref/java/conf.html
X%%PORTDOCS%%share/doc/db41/ref/java/faq.html
X%%PORTDOCS%%share/doc/db41/ref/java/program.html
X%%PORTDOCS%%share/doc/db41/ref/lock/am_conv.html
X%%PORTDOCS%%share/doc/db41/ref/lock/cam_conv.html
X%%PORTDOCS%%share/doc/db41/ref/lock/config.html
X%%PORTDOCS%%share/doc/db41/ref/lock/dead.html
X%%PORTDOCS%%share/doc/db41/ref/lock/deaddbg.html
X%%PORTDOCS%%share/doc/db41/ref/lock/intro.html
X%%PORTDOCS%%share/doc/db41/ref/lock/max.html
X%%PORTDOCS%%share/doc/db41/ref/lock/nondb.html
X%%PORTDOCS%%share/doc/db41/ref/lock/notxn.html
X%%PORTDOCS%%share/doc/db41/ref/lock/page.html
X%%PORTDOCS%%share/doc/db41/ref/lock/stdmode.html
X%%PORTDOCS%%share/doc/db41/ref/lock/timeout.html
X%%PORTDOCS%%share/doc/db41/ref/lock/twopl.html
X%%PORTDOCS%%share/doc/db41/ref/log/config.html
X%%PORTDOCS%%share/doc/db41/ref/log/intro.html
X%%PORTDOCS%%share/doc/db41/ref/log/limits.html
X%%PORTDOCS%%share/doc/db41/ref/mp/config.html
X%%PORTDOCS%%share/doc/db41/ref/mp/intro.html
X%%PORTDOCS%%share/doc/db41/ref/perl/intro.html
X%%PORTDOCS%%share/doc/db41/ref/pindex.src
X%%PORTDOCS%%share/doc/db41/ref/program/appsignals.html
X%%PORTDOCS%%share/doc/db41/ref/program/cache.html
X%%PORTDOCS%%share/doc/db41/ref/program/compatible.html
X%%PORTDOCS%%share/doc/db41/ref/program/copy.html
X%%PORTDOCS%%share/doc/db41/ref/program/environ.html
X%%PORTDOCS%%share/doc/db41/ref/program/errorret.html
X%%PORTDOCS%%share/doc/db41/ref/program/faq.html
X%%PORTDOCS%%share/doc/db41/ref/program/mt.html
X%%PORTDOCS%%share/doc/db41/ref/program/namespace.html
X%%PORTDOCS%%share/doc/db41/ref/program/runtime.html
X%%PORTDOCS%%share/doc/db41/ref/program/scope.html
X%%PORTDOCS%%share/doc/db41/ref/program/solaris.txt
X%%PORTDOCS%%share/doc/db41/ref/refs/bdb_usenix.html
X%%PORTDOCS%%share/doc/db41/ref/refs/bdb_usenix.ps
X%%PORTDOCS%%share/doc/db41/ref/refs/embedded.html
X%%PORTDOCS%%share/doc/db41/ref/refs/hash_usenix.ps
X%%PORTDOCS%%share/doc/db41/ref/refs/libtp_usenix.ps
X%%PORTDOCS%%share/doc/db41/ref/refs/refs.html
X%%PORTDOCS%%share/doc/db41/ref/refs/witold.html
X%%PORTDOCS%%share/doc/db41/ref/rep/app.html
X%%PORTDOCS%%share/doc/db41/ref/rep/comm.html
X%%PORTDOCS%%share/doc/db41/ref/rep/elect.html
X%%PORTDOCS%%share/doc/db41/ref/rep/ex.html
X%%PORTDOCS%%share/doc/db41/ref/rep/ex_comm.html
X%%PORTDOCS%%share/doc/db41/ref/rep/ex_rq.html
X%%PORTDOCS%%share/doc/db41/ref/rep/faq.html
X%%PORTDOCS%%share/doc/db41/ref/rep/id.html
X%%PORTDOCS%%share/doc/db41/ref/rep/init.html
X%%PORTDOCS%%share/doc/db41/ref/rep/intro.html
X%%PORTDOCS%%share/doc/db41/ref/rep/logonly.html
X%%PORTDOCS%%share/doc/db41/ref/rep/newsite.html
X%%PORTDOCS%%share/doc/db41/ref/rep/partition.html
X%%PORTDOCS%%share/doc/db41/ref/rep/pri.html
X%%PORTDOCS%%share/doc/db41/ref/rep/trans.html
X%%PORTDOCS%%share/doc/db41/ref/rpc/client.html
X%%PORTDOCS%%share/doc/db41/ref/rpc/faq.html
X%%PORTDOCS%%share/doc/db41/ref/rpc/intro.html
X%%PORTDOCS%%share/doc/db41/ref/rpc/server.html
X%%PORTDOCS%%share/doc/db41/ref/sendmail/intro.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/close.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/del.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/errors.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/example.cs
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/get.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/handles.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/intro.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/keydata.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/open.html
X%%PORTDOCS%%share/doc/db41/ref/simple_tut/put.html
X%%PORTDOCS%%share/doc/db41/ref/tcl/error.html
X%%PORTDOCS%%share/doc/db41/ref/tcl/faq.html
X%%PORTDOCS%%share/doc/db41/ref/tcl/intro.html
X%%PORTDOCS%%share/doc/db41/ref/tcl/program.html
X%%PORTDOCS%%share/doc/db41/ref/tcl/using.html
X%%PORTDOCS%%share/doc/db41/ref/test/faq.html
X%%PORTDOCS%%share/doc/db41/ref/test/run.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/admin.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/app.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/archival.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/atomicity.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/checkpoint.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/cursor.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/data_open.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/deadlock.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/env_open.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/faq.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/filesys.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/hotfail.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/inc.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/intro.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/logfile.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/nested.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/put.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/read.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/reclimit.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/recovery.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/term.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/throughput.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/transapp.cs
X%%PORTDOCS%%share/doc/db41/ref/transapp/tune.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/why.html
X%%PORTDOCS%%share/doc/db41/ref/transapp/writetest.cs
X%%PORTDOCS%%share/doc/db41/ref/txn/config.html
X%%PORTDOCS%%share/doc/db41/ref/txn/intro.html
X%%PORTDOCS%%share/doc/db41/ref/txn/limits.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.2.0/convert.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.2.0/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.2.0/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.2.0/system.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.2.0/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/close.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/cxx.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/db.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/db_cxx.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/dbenv.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/dbenv_cxx.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/dbinfo.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/eacces.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/eagain.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/envopen.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/func.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/java.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/join.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/jump_set.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/lock_detect.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/lock_notheld.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/lock_put.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/lock_stat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/log_register.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/log_stat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/memp_stat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/open.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/rmw.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/stat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/txn_begin.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/txn_commit.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/txn_stat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/value_set.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.0/xa.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/btstat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/config.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/dup.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/env.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/log_register.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/logalloc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/memp_register.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/put.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/set_feedback.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/set_paniccall.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/set_tx_recover.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/sysmem.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/tcl.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/tmp.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.1/txn_check.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/callback.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/db_dump.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/handle.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/incomplete.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/mutexlock.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/notfound.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/renumber.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/set_flags.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.2/tx_recover.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/alloc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/bigfile.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/conflict.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/getswap.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/gettype.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/memp_fget.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/rpc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/shared.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.3.3/txn_prepare.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/asr.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/cxx.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/deadlock.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/env.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/java.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/lock.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/lock_id_free.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/log.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/mp.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/rpc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/set_lk_max.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.0/txn.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/app_dispatch.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/checkpoint.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/cxx.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/disk.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/excl.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/fop.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/hash_nelem.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/incomplete.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/intro.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/java.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/log_register.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/log_stat.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/memp_sync.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade.4.1/toc.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade/process.html
X%%PORTDOCS%%share/doc/db41/ref/upgrade/version.html
X%%PORTDOCS%%share/doc/db41/ref/xa/build.html
X%%PORTDOCS%%share/doc/db41/ref/xa/faq.html
X%%PORTDOCS%%share/doc/db41/ref/xa/intro.html
X%%PORTDOCS%%share/doc/db41/ref/xa/xa_config.html
X%%PORTDOCS%%share/doc/db41/ref/xa/xa_intro.html
X%%PORTDOCS%%share/doc/db41/reftoc.html
X%%PORTDOCS%%share/doc/db41/sleepycat/contact.html
X%%PORTDOCS%%share/doc/db41/sleepycat/legal.html
X%%PORTDOCS%%share/doc/db41/sleepycat/license.html
X%%PORTDOCS%%share/doc/db41/utility/berkeley_db_svc.html
X%%PORTDOCS%%share/doc/db41/utility/db_archive.html
X%%PORTDOCS%%share/doc/db41/utility/db_checkpoint.html
X%%PORTDOCS%%share/doc/db41/utility/db_deadlock.html
X%%PORTDOCS%%share/doc/db41/utility/db_dump.html
X%%PORTDOCS%%share/doc/db41/utility/db_load.html
X%%PORTDOCS%%share/doc/db41/utility/db_printlog.html
X%%PORTDOCS%%share/doc/db41/utility/db_recover.html
X%%PORTDOCS%%share/doc/db41/utility/db_stat.html
X%%PORTDOCS%%share/doc/db41/utility/db_upgrade.html
X%%PORTDOCS%%share/doc/db41/utility/db_verify.html
X%%PORTDOCS%%share/doc/db41/utility/index.html
X%%PORTDOCS%%@dirrm share/doc/db41/utility
X%%PORTDOCS%%@dirrm share/doc/db41/sleepycat
X%%PORTDOCS%%@dirrm share/doc/db41/ref/xa
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.4.1
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.4.0
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.3.3
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.3.2
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.3.1
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.3.0
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade.2.0
X%%PORTDOCS%%@dirrm share/doc/db41/ref/upgrade
X%%PORTDOCS%%@dirrm share/doc/db41/ref/txn
X%%PORTDOCS%%@dirrm share/doc/db41/ref/transapp
X%%PORTDOCS%%@dirrm share/doc/db41/ref/test
X%%PORTDOCS%%@dirrm share/doc/db41/ref/tcl
X%%PORTDOCS%%@dirrm share/doc/db41/ref/simple_tut
X%%PORTDOCS%%@dirrm share/doc/db41/ref/sendmail
X%%PORTDOCS%%@dirrm share/doc/db41/ref/rpc
X%%PORTDOCS%%@dirrm share/doc/db41/ref/rep
X%%PORTDOCS%%@dirrm share/doc/db41/ref/refs
X%%PORTDOCS%%@dirrm share/doc/db41/ref/program
X%%PORTDOCS%%@dirrm share/doc/db41/ref/perl
X%%PORTDOCS%%@dirrm share/doc/db41/ref/mp
X%%PORTDOCS%%@dirrm share/doc/db41/ref/log
X%%PORTDOCS%%@dirrm share/doc/db41/ref/lock
X%%PORTDOCS%%@dirrm share/doc/db41/ref/java
X%%PORTDOCS%%@dirrm share/doc/db41/ref/intro
X%%PORTDOCS%%@dirrm share/doc/db41/ref/install
X%%PORTDOCS%%@dirrm share/doc/db41/ref/env
X%%PORTDOCS%%@dirrm share/doc/db41/ref/dumpload
X%%PORTDOCS%%@dirrm share/doc/db41/ref/distrib
X%%PORTDOCS%%@dirrm share/doc/db41/ref/debug
X%%PORTDOCS%%@dirrm share/doc/db41/ref/cam
X%%PORTDOCS%%@dirrm share/doc/db41/ref/build_win
X%%PORTDOCS%%@dirrm share/doc/db41/ref/build_vxworks
X%%PORTDOCS%%@dirrm share/doc/db41/ref/build_unix
X%%PORTDOCS%%@dirrm share/doc/db41/ref/arch
X%%PORTDOCS%%@dirrm share/doc/db41/ref/apprec
X%%PORTDOCS%%@dirrm share/doc/db41/ref/am_misc
X%%PORTDOCS%%@dirrm share/doc/db41/ref/am_conf
X%%PORTDOCS%%@dirrm share/doc/db41/ref/am
X%%PORTDOCS%%@dirrm share/doc/db41/ref
X%%PORTDOCS%%@dirrm share/doc/db41/images
X%%PORTDOCS%%@dirrm share/doc/db41/api_tcl
X%%PORTDOCS%%@dirrm share/doc/db41/api_java
X%%PORTDOCS%%@dirrm share/doc/db41/api_cxx
X%%PORTDOCS%%@dirrm share/doc/db41/api_c
X%%PORTDOCS%%@dirrm share/doc/db41
X@dirrm include/db41
END-of-db41/pkg-plist
exit
Comment 4 petef freebsd_committer 2003-01-05 04:09:40 UTC
The db4 backout has been committed (but instead of upping PORTVERSION to
2, I added PORTEPOCH= 1... this is required when PORTVERSION goes
backwards).
Comment 5 petef freebsd_committer 2003-01-05 04:24:37 UTC
Responsible Changed
From-To: freebsd-ports->petef

I'll take care of adding the db41 port.
Comment 6 petef freebsd_committer 2003-01-07 01:06:12 UTC
State Changed
From-To: open->closed

db41 port committed, thanks.